name: Echo Current Path and List Files

on:
  push:
    branches:
      - main  # Or your desired branch

jobs:
  echo-path:
    runs-on: ubuntu-latest:docker://docker.gitea.com/runner-images:ubuntu-latest
    steps:
      - uses: https://git.phyllo.me/actions/checkout@v4
        with:
          fetch-depth: 0
    steps:
      - name: Echo Current Path
        run: |
          pwd
          echo "Current working directory:"
      - name: List Files
        run: |
          ls -la
          echo "Files in current directory:"
